OpenMesh

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Public Member Functions | List of all members
OpenMesh::RandomNumberGenerator Class Reference

Generate a random number between 0.0 and 1.0 with a guaranteed resolution. More...

`#include <OpenMesh/Core/Utils/RandomNumberGenerator.hh>`

## Public Member Functions

| RandomNumberGenerator (const double _resolution)
| Constructor.
double | getRand () const
| returns a random double between 0.0 and 1.0 with a guaranteed resolution
double | resolution () const

## Detailed Description

Generate a random number between 0.0 and 1.0 with a guaranteed resolution.

Especially useful on windows, as there MAX_RAND is often only 32k which is not enough resolution for a lot of applications

## Constructor & Destructor Documentation

RandomNumberGenerator::RandomNumberGenerator | ( | const double | _resolution | ) |

Constructor.

Parameters

  _resolution | specifies the desired resolution for the random number generated

The documentation for this class was generated from the following files:

- OpenMesh/Core/Utils/RandomNumberGenerator.hh
- OpenMesh/Core/Utils/RandomNumberGenerator.cc